#!/usr/bin/env bash

# $Id: stfw.html,v 1.1 2004/04/17 22:52:52 chipster Exp $

#############################################################################
# stfw                                                                      #
#   a small shell program to search Google right from your shell.           #
# REQUIRED: Lynx                                                            #
#                                                                           #
# Copyright (C) 2003 Chip Cuccio <http://norlug.org/~chipster/>             #
# NOTE: Don't forget to edit/check user settings below!!!                   #
# ------------------------------------------------------------------------- #
# This is GPL'd Free Software; <http://www.gnu.org/copyleft/gpl.html>       #
#############################################################################

ACCEPT_COOKIES=1

# end user settings #

PROG_NAME=`basename $0`
if [ $ACCEPT_COOKIES == 1 ]
then
    CLIENT="lynx --accept_all_cookies"
else
    CLIENT="lynx"
fi

if [ $# -eq 0 ]
then
    echo "Usage: ${PROG_NAME} <search term>" 1>&2
    exit 1
fi

for term in $@
do
    query="${query}${term}+"
done

url="http://www.google.com/search?q=${query}"
${CLIENT} "$url"

# EOF
